📄 MIPYME Documents
Create a new webhook subscription
POST
Endpoint URL
https://api-billing.koywe.com/V1/webhook_subscriptions
Requires authentication
Authentication
Send header Authorization: Bearer <token> (obtained from POST /auth) for protected endpoints.
Parameters
No parameters.
Request body — fields
| Field | Type | Required | Description |
|---|---|---|---|
account_id | integer | Optional | Account ID of the associated account |
callback_url | string | Optional | URL to be notified |
callback_username | string | Optional | Username to be sent to the notification URL |
callback_password | string | Optional | Password to be sent to the notification URL |
event_id | string | Optional | ID of the event that you are subscribing to. Valid values: ACCOUNT.CERTIFICATIONUPDATE |
Request body — JSON example
{
"account_id": 0,
"callback_url": "https://server.com/myscript.php",
"callback_username": "string",
"callback_password": "string",
"event_id": "string"
}
Responses
Digital certificate link successfully generated
Bad request - invalid input or validation error
Unauthorized - invalid token or missing authentication
Server error - unexpected error occurred